Create user authorization
Creates an authorization allowing one user to send and/or manage envelopes on behalf of another user.
The agent user acts on behalf of the principal user. The principal user is specified by the userId path parameter. The agent user is specified in the request body. Each principal user can only share signing permission with one agent user.
Specify in the request the level of access to share with the agent user. If you share signing access, the agent user will receive an email notification.
To call this endpoint:
- You must be an account administrator or you must be the principal user.
- The agent user and principal user must belong to the same account.
- At least one of the following account settings must be enabled:
AllowDelegatedSigning,AllowManagingEnvelopesOnBehalfOfOthers,AllowEditingEnvelopesOnBehalfOfOthers,AllowSendingEnvelopesOnBehalfOfOthers. These settings correspond to the level of access you can set for the authorization.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: userAuthorizationCreateRequest
The UTC DateTime to end the authorization. The default value is the max UTC value (9999-12-31T23:59:59.0000000+00:00).
The permission level to grant the agent. Valid values:
SendManageSignEdit
This property is required.
Response
The name and email of the user who created the authorization, in the following format: [Francis Beagle email@example.com]
The name and email of the user who created the authorization, in the following format: [Francis Beagle email@example.com]
The permission level to grant the agent. Valid values:
SendManageSignEdit
This property is required.